%define name	gco
%define	version	0.3.3
%define release	4mdk

Summary: GNOME Comics Organizer
Name: %name 
Version: %version
Release: %release
License: GPL
Group: Databases
Source: %{name}-%{version}.tar.bz2
Source1: %{name}.32.png.bz2
Source2: %{name}.16.png.bz2
Patch1: gco-libglade-path.patch.bz2
BuildRoot: %_tmppath/%name-buildroot
URL: http://www.daimi.au.dk/~maxx/maxximum-linux.html

Requires: gtk+ >= 1.2.5
Requires: gnome-libs >= 1.2.5
Requires: libglade >= 0.14
BuildRequires: libglade-devel >= 0.14

%description
GNOME Comics Organizer

GNOME Comics Organizer is a program to help you keep track of your
comics collection.

%prep
%setup -q
%patch1 -p1 

%build
%configure

%make

%install
%makeinstall
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(gco):command="/usr/bin/gco" icon="gco.png" \
              needs="X11" section="Applications/Databases" \ 
	      title="Gco" longtitle="GNOME Comic Organizer"
EOF
install -d $RPM_BUILD_ROOT%{_miconsdir}
install -d $RPM_BUILD_ROOT%{_iconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}
(cd $RPM_BUILD_ROOT%{_liconsdir}; ln -s %{_datadir}/pixmaps/gco-gco.png %{name}.png)
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%{_datadir}/%{name}/%{version}/*
%{_datadir}/gnome/apps/Applications/*
%{_datadir}/pixmaps/*
%{_miconsdir}/*
%{_liconsdir}/*
%{_iconsdir}/*
%{_menudir}/*

%changelog
* Tue Jul 15 2003 Ben Reser <ben@reser.org> 0.3.3-4mdk
- Package should also own %{_datadir}/gco/ per nanar's bot

* Fri May 23 2003 Ben Reser <ben@reser.org> 0.3.3-3mdk
- Make package own %{_datadir}/gco/%{version}/

* Thu Jan 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-2mdk
- rebuild & bzip2 sources

* Thu Aug 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- from Ben Reser <ben@reser.org> :
- Reintroduce to Mandrake
